classification
Title: Fix 2 new typos in the docs
Type: Stage:
Components: Documentation Versions: Python 3.1, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Retro, docs@python, eric.araujo, georg.brandl, rwinte
Priority: normal Keywords: easy, patch

Created on 2011-03-02 12:44 by Retro, last changed 2011-03-11 12:14 by Retro. This issue is now closed.

Files
File name Uploaded Description Edit
patch-27.diff rwinte, 2011-03-04 03:02 Patch to fix issue in release27-maint review
patch-3k.diff rwinte, 2011-03-04 03:03 Patch to fix issue in py3k review
stdtypes_2.patch Retro, 2011-03-04 17:57 This is the final patch for this issue.
Messages (7)
msg129886 - (view) Author: Boštjan Mejak (Retro) Date: 2011-03-02 12:44
Try to fix this in every Python documentation that you can.

The typo was found here: http://docs.python.org/library/stdtypes.html#memoryview

"Create a memoryview that references obj. obj must support the buffer protocol. Builtin objects that /.../."

Fix this to "Create a memoryview that references obj, which must support the buffer protocol. Built-in objects that /.../."

Thank you.
msg130017 - (view) Author: Bob Wintemberg (rwinte) Date: 2011-03-04 03:02
The following is a patch to fix this documentation issue in release27-maint.
msg130018 - (view) Author: Bob Wintemberg (rwinte) Date: 2011-03-04 03:03
The following is a patch to fix this documentation issue in py3k.
msg130035 - (view) Author: Boštjan Mejak (Retro) Date: 2011-03-04 09:04
Please fix the word "Builtin" to "Built-in" as well. Thank you.
msg130066 - (view) Author: Boštjan Mejak (Retro) Date: 2011-03-04 17:57
I am uploading a patch that fixes both of these typos in the docs. Please apply it and keep up the good work.
msg130154 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-03-06 09:59
Fixed the built-in spelling in 13bc0511b3d3.  I did not do the other change; having two-level relative clauses is not really readable.
msg130561 - (view) Author: Boštjan Mejak (Retro) Date: 2011-03-11 12:14
Georg, please fix all the branches. Also, the online docs are still not updated with this fix.
History
Date User Action Args
2011-03-11 12:14:36Retrosetnosy: georg.brandl, eric.araujo, Retro, docs@python, rwinte
messages: + msg130561
2011-03-06 09:59:28georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg130154

resolution: fixed
2011-03-04 17:57:09Retrosetfiles: + stdtypes_2.patch

versions: + Python 3.1, Python 3.2, Python 3.3
messages: + msg130066
nosy: eric.araujo, Retro, docs@python, rwinte
2011-03-04 09:08:15ezio.melottisetnosy: + eric.araujo
2011-03-04 09:04:40Retrosetmessages: + msg130035
2011-03-04 03:03:04rwintesetfiles: + patch-3k.diff

messages: + msg130018
2011-03-04 03:02:09rwintesetfiles: + patch-27.diff

nosy: + rwinte
messages: + msg130017

keywords: + patch
2011-03-04 01:02:57vstinnersetkeywords: + easy
2011-03-02 12:44:27Retrocreate